Package wx :: Class Rect2D

[frames | no frames]

## Type Rect2D

    object --+
             |
            Rect2D

wx.Rect2D is a rectangle, with position and size, in a 2D coordinate system with floating point component values.

Method Summary
Rect2D | ``__init__`(self, x, y, w, h)` wx.Rect2D is a rectangle, with position and size, in a 2D coordinate system with floating point component values.
| `__del__(self)`
bool | ``__eq__`(self, other)` Test for equality of wx.Rect2D objects.
| `__getitem__(self, index)`
| `__len__(self)`
bool | ``__ne__`(self, other)` Test for inequality of wx.Rect2D objects.
| `__nonzero__(self)`
| `__reduce__(self)`
| `__repr__(self)`
| `__setitem__(self, index, val)`
| `__str__(self)`
| `ConstrainTo(self, rect)`
bool | `Contains(self, pt)`
bool | `ContainsRect(self, rect)`
Rect2D | `CreateIntersection(self, otherRect)`
Rect2D | `CreateUnion(self, otherRect)`
(x,y, width, height) | ``Get`()` Return x, y, width and height y properties as a tuple.
wxDouble | `GetBottom(self)`
Point2D | `GetCentre(self)`
wxDouble | `GetLeft(self)`
Point2D | `GetLeftBottom(self)`
Point2D | `GetLeftTop(self)`
int | `GetOutcode(self, pt)`
Point2D | `GetPosition(self)`
wxDouble | `GetRight(self)`
Point2D | `GetRightBottom(self)`
Point2D | `GetRightTop(self)`
Size | `GetSize(self)`
wxDouble | `GetTop(self)`
bool | `HaveEqualSize(self, rect)`
| ``Inset`(self, x, y)` Inset(self, wxDouble left, wxDouble top, wxDouble right, wxDouble bottom)
Point2D | `Interpolate(self, widthfactor, heightfactor)`
| `Intersect(self, otherRect)`
bool | `Intersects(self, rect)`
bool | `IsEmpty(self)`
| `MoveBottomTo(self, n)`
| `MoveCentreTo(self, pt)`
| `MoveLeftBottomTo(self, pt)`
| `MoveLeftTo(self, n)`
| `MoveLeftTopTo(self, pt)`
| `MoveRightBottomTo(self, pt)`
| `MoveRightTo(self, n)`
| `MoveRightTopTo(self, pt)`
| `MoveTopTo(self, n)`
| `Offset(self, pt)`
| ``Scale`(self, f)` Scale(self, int num, int denum)
| `Set(self, x, y, width, height)`
| `SetBottom(self, n)`
| `SetCentre(self, pt)`
| `SetLeft(self, n)`
| `SetLeftBottom(self, pt)`
| `SetLeftTop(self, pt)`
| `SetRight(self, n)`
| `SetRightBottom(self, pt)`
| `SetRightTop(self, pt)`
| `SetTop(self, n)`
| `Union(self, otherRect)`

Property Summary
| `height`
| `thisown`: The membership flag
| `width`
| `x`
| `y`

Class Variable Summary
`bool` | `__safe_for_unpickling__` = `True`

Method Details

### __init__(self, x=0.0, y=0.0, w=0.0, h=0.0)
(Constructor)

wx.Rect2D is a rectangle, with position and size, in a 2D coordinate system with floating point component values.

  Parameters:
    `x`
    (type=wxDouble)

    `y`
    (type=wxDouble)

    `w`
    (type=wxDouble)

    `h`
    (type=wxDouble)

  Returns:
    Rect2D
  Overrides:
    `__builtin__.object.__init__`

### __eq__(self, other)
(Equality operator)

Test for equality of wx.Rect2D objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __ne__(self, other)

Test for inequality of wx.Rect2D objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### Get()

Return x, y, width and height y properties as a tuple.

  Returns:
    (x,y, width, height)

### Inset(self, x, y)

Inset(self, wxDouble left, wxDouble top, wxDouble right, wxDouble bottom)

  Parameters:
    `x`
    (type=wxDouble)

    `y`
    (type=wxDouble)

### Scale(self, f)

Scale(self, int num, int denum)

  Parameters:
    `f`
    (type=wxDouble)

Property Details

### thisown

The membership flag

Class Variable Details

### __safe_for_unpickling__

  Type:
    `bool`
  Value:

        True

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:55 2007 | http://epydoc.sf.net